Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Git Full Sync

Contains APIs related to Git Full Sync

Fetch Configuration for Git Full Sync for the provided scope

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/git-full-sync/config
GET /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create Configuration for Git Full Sync for the provided scope

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body

Details required to trigger Git Full Sync.

branchstringRequired

Name of the branch to which the entities will be pushed and from which pull request will be created.

repoIdentifierstringRequired

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringRequired

Path of the root folder inside which the entities will be pushed.

isNewBranchbooleanWrite-onlyOptional
baseBranchstringOptional

Name of the branch from which new branch will be forked out.

createPullRequestbooleanOptional

If true a pull request will be created from branch to target branch.Default: false.

targetBranchstringOptional

Name of the branch to which pull request will be merged.

prTitlestringOptional

Title of the pull request.

newBranchbooleanOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/git-full-sync/config
POST /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "branch": "text",
  "repoIdentifier": "text",
  "rootFolder": "text",
  "isNewBranch": true,
  "baseBranch": "text",
  "createPullRequest": true,
  "targetBranch": "text",
  "prTitle": "text",
  "newBranch": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update Configuration for Git Full Sync for the provided scope

put
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body

Details required to trigger Git Full Sync.

branchstringRequired

Name of the branch to which the entities will be pushed and from which pull request will be created.

repoIdentifierstringRequired

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringRequired

Path of the root folder inside which the entities will be pushed.

isNewBranchbooleanWrite-onlyOptional
baseBranchstringOptional

Name of the branch from which new branch will be forked out.

createPullRequestbooleanOptional

If true a pull request will be created from branch to target branch.Default: false.

targetBranchstringOptional

Name of the branch to which pull request will be merged.

prTitlestringOptional

Title of the pull request.

newBranchbooleanOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/git-full-sync/config
PUT /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "branch": "text",
  "repoIdentifier": "text",
  "rootFolder": "text",
  "isNewBranch": true,
  "baseBranch": "text",
  "createPullRequest": true,
  "targetBranch": "text",
  "prTitle": "text",
  "newBranch": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List files in full sync along with their status

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageIndexinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32 · max: 100Optional

Results per page(max 100)Default Value: 50

Default: 50
pageTokenstringOptional

Page Token of the next results to fetch.Default Value: ''

searchTermstringOptional

Search Term.

Body

Filter details for Git Full Sync.

syncStatusstring · enumOptional

Sync Status of the Entity that may be QUEUED, SUCCESS or FAILED.

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/git-full-sync/files
POST /gateway/ng/api/git-full-sync/files?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "entityTypes": [
    "CreatePR"
  ],
  "syncStatus": "QUEUED"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Trigger Full Sync

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/git-full-sync
POST /gateway/ng/api/git-full-sync?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?